# QSvgRenderer Class Reference

### [com.trolltech.qt.svg package]

Inherits QObject.

### Constructor

- void QSvgRenderer(QObject parent)
- void QSvgRenderer(QXmlStreamReader contents, QObject parent)
- void QSvgRenderer(QByteArray contents, QObject parent)
- void QSvgRenderer(String filename, QObject parent)

### Constructor Properties

- prototype: The QSvgRenderer prototype object

### Prototype Object Properties

The QSvgRenderer prototype object inherits properties from the QObject prototype object and also has the following properties.

- bool animated()
- int animationDuration()
- QRectF boundsOnElement(String id)
- QSize defaultSize()
- bool elementExists(String id)
- bool isValid()
- QMatrix matrixForElement(String id)
- void setViewBox(QRect viewbox)
- QRect viewBox()

### Instance Properties

QSvgRenderer objects inherit properties from the QSvgRenderer prototype object and also have the following properties.

- viewBox
- framesPerSecond
- currentFrame